Bug 978261 - Hardcoded references to eth0 in oo-accept-node
Hardcoded references to eth0 in oo-accept-node
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 04:27 EDT by Brenton Leanhardt
Modified: 2015-05-14 19:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:13:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brenton Leanhardt 2013-06-26 04:27:10 EDT
Description of problem:
If a Node does not have eth0 oo-accept-node will display a confusing error message.  The offending code line is:

$TC_DATA = %x[/sbin/tc clas show dev eth0].split("\n").grep(/parent/)

However, there are more instance of eth0 in that file that need to be replaced.

Version-Release number of selected component (if applicable):
openshift-origin-node-util-1.10.4-1
Comment 1 Rob Millner 2013-06-27 18:27:24 EDT
The node.conf file is used, baring that the ethernet device is probed for by finding what device either routes from or routes to the public IP address.

https://github.com/openshift/origin-server/pull/2957
Comment 2 openshift-github-bot 2013-06-27 18:50:23 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/fa5184e8a1c458c8331657d14dc57eabe6fc16f1
Bug 978261 - find the external ethernet device rather than hard-code eth0
Comment 3 Meng Bo 2013-06-28 08:46:11 EDT
Check this on devenv_3427,

Modify the EXTERNAL_ETH_DEV to non-exist one in node.conf
Use oo-accept-node to check the issue.

# oo-accept-node -v
INFO: loading node configuration file /etc/openshift/node.conf
INFO: loading resource limit file /etc/openshift/resource_limits.conf
INFO: finding external network device
Device "ethi10" does not exist.
FAIL: SEVERE: not a valid ethernet device: 'ethi10'
Cannot find device "ethi10"
INFO: checking node public hostname resolution

It will detect the nic dynamically, but not the hardcode one.

Note You need to log in before you can comment on or make changes to this bug.